@import '~@shared/styles/colors';
@import '~@shared/styles/fonts';
@import '~@shared/styles/common';

$borderStyle: 1px solid map-get($gray-palette, light);

@mixin noLeftBorder {
  border-right: $borderStyle;
  border-top: $borderStyle;
  border-bottom: $borderStyle;
}

.doctor-actions {
  width: 100%;
  &__button {
    display: flex;
    flex-grow: 1;
    flex-basis: 100%;
    height: 3.875rem;
    color: map-get($gray-palette, xxmedium);
    font-size: map-get($font-sizes, xsmall);
    &:not(:first-child):not(:last-child) {
      @include noLeftBorder;
    }
    &:first-child {
      border-top: $borderStyle;
      border-right: $borderStyle;
      border-radius: 0 0 0 $standard-border-radius;
    }
    &:last-child {
      border-top: $borderStyle;
      border-radius: 0 0 $standard-border-radius 0;
    }
    &:hover {
      background-color: $primary;
      color: $white;
    }
  }
}
